## Documentation Index

Fetch the complete documentation index at: [/llms.txt](https://developer.mindbridge.ai/llms.txt)

Use this file to discover all available pages before exploring further.

### Read Json Table

#### Request

**GET**  `/v1/json-tables/{jsonTableId}`

#### cURL

```bash
curl --request GET \
  --url https://{tenant}.mindbridge.ai/api/v1/json-tables/{jsonTableId} \
  --header 'Authorization: Bearer <token>'
```

#### Example Code Snippets

**Python**
```python
import requests

url = "https://{tenant}.mindbridge.ai/api/v1/json-tables/{jsonTableId}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
```

**JavaScript (Fetch)**
```javascript
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://{tenant}.mindbridge.ai/api/v1/json-tables/{jsonTableId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

**PHP**
```php
$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://{tenant}.mindbridge.ai/api/v1/json-tables/{jsonTableId}",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "GET",
  CURLOPT_HTTPHEADER => [
    "Authorization: Bearer <token>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
```

**Go**
```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

url := "https://{tenant}.mindbridge.ai/api/v1/json-tables/{jsonTableId}"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("Authorization", "Bearer <token>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}
```

**Java (Unirest)**
```java
HttpResponse<String> response = Unirest.get("https://{tenant}.mindbridge.ai/api/v1/json-tables/{jsonTableId}")
  .header("Authorization", "Bearer <token>")
  .asString();
```

**Ruby**
```ruby
require 'uri'
require 'net/http'

url = URI("https://{tenant}.mindbridge.ai/api/v1/json-tables/{jsonTableId}")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

#### Response Example

Status: 200

```json
{
  "id": "<string>",
  "version": 123,
  "creationDate": "2023-11-07T05:31:56Z",
  "lastModifiedDate": "2023-11-07T05:31:56Z",
  "createdUserInfo": {
    "userId": "<string>",
    "userName": "<string>"
  },
  "lastModifiedUserInfo": {
    "userId": "<string>",
    "userName": "<string>"
  },
  "headers": [
    "<string>"
  ],
  "currentSize": 123
}
```

#### Authorization

**Authorization**
- Type: string (header)  
- Required: Bearer authentication header of the form `Bearer <token>`, where `<token>` is your auth token.

#### Path Parameters

- **jsonTableId**: string (required)

#### Response Description

- **200 - application/json**  
  - *id*: string - The unique object identifier.
  - *version*: integer<int64> - The data integrity version, to ensure data consistency.
  - *creationDate*: string<date-time> - The date that the object was originally created.
  - *lastModifiedDate*: string<date-time> - The date that the object was last updated or modified.
  - *createdUserInfo*: object - Details about the user who created the object.
  - *lastModifiedUserInfo*: object - Details about the user who last modified or updated the object.
  - *headers*: array<string> - The list of headers.
  - *currentSize*: integer<int64> - The combined size of all data that has been appended to this JSON table.
